<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl" />
	
	<xsl:template match="/data">
			<xsl:choose>
				<xsl:when  test="/data/result/attributes/item[@key='bonus_act']/value/text() = 'payments'">
					<xsl:call-template name="BonusPayment" />
				</xsl:when>
				<xsl:when  test="/data/result/attributes/item[@key='bonus_act']/value/text() = 'charges'">
					<xsl:call-template name="BonusCharge" />
				</xsl:when>
				<xsl:when  test="/data/result/attributes/item[@key='bonus_act']/value/text() = 'balance'">
					<xsl:call-template name="BonusBalance" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="BonusBalance" />
				</xsl:otherwise>
			</xsl:choose>
    </xsl:template>
	
	<xsl:template name="title">
	 <xsl:choose>
		<xsl:when test="/data/result/attributes/item[@key='bonus_act']/value/text() = 'payments'">
			 
		</xsl:when>
		<xsl:when test="/data/result/attributes/item[@key='bonus_act']/value/text() = 'charges'">
			 
		</xsl:when>
		<xsl:when test="/data/result/attributes/item[@key='bonus_act']/value/text() = 'balance'">
			
		</xsl:when>
		<xsl:when test="/data/result/attributes/item[@key='bonus_act']/value/text() = 'payTariffOption'">
			 
		</xsl:when>
	 </xsl:choose>
    </xsl:template>
	
	<xsl:template name="Buttons">
	
	<table cellspacing="0">
			<tr>
				<td>
					<xsl:call-template name="rawLinkButton">
						<xsl:with-param name="title" select="''" />
						<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=Bonus&amp;module=ru.bitel.bgbilling.plugins.bonus&amp;mid=0&amp;command=payments&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					</xsl:call-template>
				</td>
				<td>
					<xsl:call-template name="rawLinkButton">
						<xsl:with-param name="title" select="''" />
						<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=Bonus&amp;module=ru.bitel.bgbilling.plugins.bonus&amp;mid=0&amp;command=charges&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					</xsl:call-template>
				</td>
				<td>
					<xsl:call-template name="rawLinkButton">
						<xsl:with-param name="title" select="''" />
						<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=Bonus&amp;module=ru.bitel.bgbilling.plugins.bonus&amp;mid=0&amp;command=balance&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="BonusPayment">
	
		 : <b><xsl:value-of select="/data/result/attributes/item[@key='balance']/value/text()" /></b>
		<xsl:if test="/data/result/attributes/item[@key='futureBalance']/value/text()!=0">
			 : <b><xsl:value-of select="/data/result/attributes/item[@key='futureBalance']/value/text()" /></b>
		</xsl:if>
		
		<xsl:call-template name="Buttons" />
		<div class="report">
		<table class="layout" width="100%">
			<tr>
				<td>
					<table class="table800">
						<thead>
							<tr>
								<td></td>
								<td> </td>
								<td></td>
								<td></td>
								<td> </td>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="/data/result/data/item">
								<tr>
									<td>
										<xsl:value-of select="id" />
									</td>
									<td>
										<xsl:value-of select="typeTitle" />
									</td>
									<td>
										<xsl:value-of select="dateString" />
									</td>
									<td>
										<xsl:value-of select="sum" />
									</td>
									<td>
										<xsl:value-of select="datePeriod" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
				</td>
			</tr>
		</table>
		</div>
	</xsl:template>

	<xsl:template name="BonusCharge">
	
		 : <b><xsl:value-of select="/data/result/attributes/item[@key='balance']/value/text()" /></b>
		<xsl:if test="/data/result/attributes/item[@key='futureBalance']/value/text()!=0">
			 : <b><xsl:value-of select="/data/result/attributes/item[@key='futureBalance']/value/text()" /></b>
		</xsl:if>
		
		<xsl:call-template name="Buttons" />

		<div class="report">
		<table class="layout" width="100%">
			<tr>
				<td>
					<table class="table800">
						<thead>
							<tr>
								<td></td>
								<td> </td>
								<td></td>
								<td></td>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="/data/result/data/item">
								<tr>
									<td>
										<xsl:value-of select="id" />
									</td>
									<td>
										<xsl:value-of select="typeTitle" />
									</td>
									<td>
										<xsl:value-of select="dateString" />
									</td>
									<td>
										<xsl:value-of select="sum" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
				</td>
			</tr>
		</table>
		</div>
	</xsl:template>
	
	<xsl:template name="BonusBalance">
	
		 : <b><xsl:value-of select="/data/result/attributes/item[@key='balance']/value/text()" /></b>
		<xsl:if test="/data/result/attributes/item[@key='futureBalance']/value/text()!=0">
			 : <b><xsl:value-of select="/data/result/attributes/item[@key='futureBalance']/value/text()" /></b>
		</xsl:if>
		
		<xsl:call-template name="Buttons" />

		<div class="report">
		<table class="layout" width="100%">
			<tr>
				<td>
					<table class="table800">
						<thead>
							<tr>
								<td></td>
								<td> </td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="/data/result/data/item">
								<tr>
									<td>
										<xsl:value-of select="id" />
									</td>
									<td>
										<xsl:if test="type=1">
			                                <xsl:value-of select="''" />
		                                </xsl:if>
		                                <xsl:if test="type=2">
			                                <xsl:value-of select="''" />
		                                </xsl:if>
									</td>
									<td>
										<xsl:value-of select="dateString" />
									</td>
									<td>
										<xsl:value-of select="sum" />
									</td>
									<td>
										<xsl:if test="type=1">
			                                <xsl:value-of select="sum" />
		                                </xsl:if>
		                                <xsl:if test="type=2">
			                                <xsl:value-of select="'----'" />
		                                </xsl:if>
									</td>
									<td>
										<xsl:if test="type=1">
			                                <xsl:value-of select="'----'" />
		                                </xsl:if>
		                                <xsl:if test="type=2">
			                                <xsl:value-of select="sum" />
		                                </xsl:if>
									</td>
									<td>
										<xsl:value-of select="rest" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
				</td>
			</tr>
		</table>
		</div>
	</xsl:template>

</xsl:stylesheet>